IRQTOP(1)

NAME
irqtop - Observe IRQ and SoftIRQ in a top-like fashion

DESCRIPTION
Shows interrupt rates (per second) per cpu. Also shows irq affinity ('.' for disabled cpus), and rps/xps affinity ('+' rx, '-' tx, '*' tx/rx). Can show packet rate per eth queue.

SYNOPSIS
irqtop [-h] [-d] [-b] [-t|-x] [-i|-s] [-r]

OPTIONS

-d, --delay=n
    refresh interval

-s, --softirq
    select softirqs only

-i, --irq
    select hardware irqs only

-e, --eth
    show extra eth stats (from ethtool(8))

-R, --rps
    enable display of rps/xps

-x, --table
    output in table mode (default)

-t, --top
    output in flat top mode

-b, --batch
    output non-interactively

-r, --reverse
    reverse sort order

-C, --nocolor
    disable colors

NOTES
Rates marked as '.' is forbidden by smp_affinity mask.

SEE ALSO
htop(1), top(1), ntop(1)

AUTHOR AND LICENSE
irqtop was written by ABC <abc@openwall.com> and is licensed under the GNU GPL.

This man page was written by Axel Beckert <abe@debian.org> for the Debian GNU/Linux distribution (but it may be used by others).